﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Tb_Permission>
@{
    ViewBag.Title = "Index";
}

@section scripts{

    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)


    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>

    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <script type="text/javascript">
        $(document).ready(function () {

            $("#sample_2").dataTable();

        });
    </script>

    <script type="text/javascript">

        function GetSellectall(a) {

            var t = $('#' + a).is(":checked");
            $('#sh' + a).val(t);
        }
        function GetAdd(a) {
            var t = $('#' + a).is(":checked");
            $('#h' + a).val(t);
        }

        function GetEdit(a, chkval) {
            var b = ('#he' + a);
            $(b).val(chkval.checked);
        }

        function GetView(a, chkval) {
            var b = ('#hv' + a);
            $(b).val(chkval.checked);
        }

        function GetDelete(a, chkval) {
            var b = ('#hd' + a);
            $(b).val(chkval.checked);
        }

    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#givenrights").click(function () {

            });
        });

    </script>

}

@using (Html.BeginForm())
{
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Permission
        </h1>
    </div>

    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Permission</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">

            @{
                string error = "";
                string message = "";
                try
                {
                    error = ViewBag.error;
                }
                catch (Exception ex)
                { }
                try
                {
                    message = ViewBag.message;
                }
                catch (Exception ex)
                { }
                if (error != "" && error != null)
                {
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert">
                            ×
                        </button>
                        @error
                    </div>
                }
                if (message != "" && message != null)
                {
                    <div class="alert alert-success">
                        <button type="button" class="close" data-dismiss="alert">
                            ×
                        </button>
                        @message
                    </div>
                }



            }

            @*<div class="btn-toolbar">*@
                <input type="submit" value="Update" class="btn btn-primary" />

            <a href="/MaRole/AddRights/@ViewBag.Idd" class="btn btn-primary">Add Rights</a>
                @*<input type="submit" id="givenrights" value="Show Only Given Rights" class="btn btn-primary" />

                <input type="submit" id="allrights" value="Show All Rights" class="btn btn-primary" />*@
                @Html.ActionLink("Show Only Given Rights", "Permission", new { name="given"}, new { @class = "btn btn-primary" })
                @Html.ActionLink("Show All Rights", "Permission", new { name = "all" }, new { @class = "btn btn-primary" })

                <div class="btn-group">
                </div>
            @*</div>*@
            <div class="btn-toolbar">
                <div class="btn-group">
                </div>
            </div>
            <p class="datail_style">
                <table width="100%" align="center">
                    <tr>
                        <td align="left" width="50%">
                            Role : <b>  @ViewBag.Role </b>
                        </td>
                        <td align="right" width="50%">
                            Total: @ViewBag.TotalCount
                        </td>
                    </tr>
                </table>
            </p>
            <div class="well">
                <table id="sample_2" class="table row-border hover order-column" cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th>
                                Rights Name
                            </th>
                            <th>
                                Add
                            </th>
                            <th>
                                Edit
                            </th>
                            <th>
                                View
                            <th>
                                Delete
                            </th>
                           
                        </tr>
                    </thead>
                    <tbody>

                        @foreach (var item in Model)
                        {
                            <tr>
                                <td>
                                    @Html.HiddenFor(modelItem => item.SecurityId)
                                    @Html.DisplayFor(modelItem => item.MaSecurity.RightName)

                                    <input type="hidden" id="hdnid" name="hdnid" value="@item.Id" />
                                </td>
                                <td class="center hidden-480">

                                    @{
                                        string a = "h" + item.Id;
                                    }
                                    @{
                                        if (item.IsAdd == true)
                                        {
                                            <input type="hidden" id="@a" name="hadd" value="true" />
                                        }
                                        else
                                        {
                                            <input type="hidden" id="@a" name="hadd" value="false" />
                                        }
                                    }
                                    <input type="checkbox" class="checkboxes" name="isadd" checked=@item.IsAdd id="@item.Id" onclick="GetAdd(@item.Id)" />
                                </td>


                                <td class="center hidden-480">
                                    @{
                                        string a1 = "he" + item.Id;

                                    }
                                    @{
                                        if (item.IsEdit == true)
                                        {
                                            <input type="hidden" id="@a1" name="hedit" value="true" />
                                        }
                                        else
                                        {
                                            <input type="hidden" id="@a1" name="hedit" value="false" />
                                        }
                                    }
                                    <input type="checkbox" class="checkboxes1" name="isadd" checked=@item.IsEdit id="@a1" onclick="GetEdit(@item.Id,this)" />




                                </td>



                                <td class="center hidden-480">

                                    @{
                                        string a2 = "hv" + item.Id;

                                    }
                                    @{
                                        if (item.IsView == true)
                                        {
                                            <input type="hidden" id="@a2" name="hview" value="true" />
                                        }
                                        else
                                        {
                                            <input type="hidden" id="@a2" name="hview" value="false" />
                                        }
                                    }
                                    <input type="checkbox" class="checkboxes2" name="isadd" checked=@item.IsView id="@a2" onclick="GetView(@item.Id,this)" />
                                </td>
                                <td class="center hidden-480">
                                    @{
                                        string a3 = "hd" + item.Id;

                                    }
                                    @{
                                        if (item.IsDelete == true)
                                        {
                                            <input type="hidden" id="@a3" name="hdelete" value="true" />
                                        }
                                        else
                                        {
                                            <input type="hidden" id="@a3" name="hdelete" value="false" />
                                        }
                                    }
                                    <input type="checkbox" class="checkboxes3" name="isadd" checked=@item.IsDelete id="@a3" onclick="GetDelete(@item.Id,this)" />
                                </td>


                            </tr>
                                        }
                    </tbody>
                </table>
            </div>
        </div>
    </div>
                                        }